POST
/restapis/{restapi_id}/documentation/versions
http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/documentation/versionsCreates a documentation version
Access Token Required: API Key
Path Parameters
restapi_idstringrequired
The string identifier of the associated RestApi.
Body Params
stageNamestring
The stage name to be associated with the new documentation snapshot.
descriptionstring
A description about the new documentation snapshot.
documentationVersionstringrequired
The version identifier of the new snapshot.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://apigateway.{region}.amazonaws.com/restapis/{restapi_id}/documentation/versions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}